Bug 396131 - Review Request: munipack - MuniPack is a CCD photometry package
Review Request: munipack - MuniPack is a CCD photometry package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 396121
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 17:49 EST by Marek Mahut
Modified: 2009-01-07 13:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 05:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-11-22 17:49:14 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/munipack/munipack.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/munipack/munipack-0.3.1-1.src.rpm

Description: MuniPack is a CCD photometry package. Using MuniPack on a Linux server means that you have a powerful tool for redution of scientific CCD images.
Comment 1 Lubomir Kundrak 2007-11-22 17:57:28 EST
We agreed with Marek, that I'll spend my precious time reviewing his package,
taking this.
Comment 2 Lubomir Kundrak 2007-11-26 14:53:11 EST
FC=/usr/bin/f95 ./configure

It is not obvious why you do this, and not %configure. Please add a comment.

Doesn't build for me on Fedora 8/x86_86 

checking for ffclos in -lcfitsio... no
configure: no cfitsio library found

Please check installation of cfitsio and try again.
Look at http://heasarc.gsfc.nasa.gov/fitsio for more information.
Comment 3 Lubomir Kundrak 2007-11-26 14:58:10 EST
You probably meant to BuildRequire cfitsio-devel instead of cfitsio.
This fixes the build.

RPMlint reports:

munipack.src:26: E: configure-without-libdir-spec
munipack.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 1)

First one is addressed by using %configure, as noted in comment #2
The second one is obvious.
Comment 4 Marek Mahut 2007-11-26 16:17:13 EST
Spec file and source rpm updated.
Comment 5 Lubomir Kundrak 2007-11-27 06:37:51 EST
Thanks for the package! All the outstainding issues were addressed, the package
now builds cleanly, with rpmlint silent and has a very nicely written SPEC file :)

Therefore, the package is

APPROVED

The only issue that might be worth fixing is that you install shell script
darkbad and a binary darkbat.bin into bindir, and similarly for flabat. I assume
that the shell scripts are wrappers for the binary files. If it is the case,
libexecdir might be better place for the .bin files. Please consult FHS.
Comment 6 Marek Mahut 2007-12-03 16:14:47 EST
Thank you Lubomir.

New Package CVS Request
=======================
Package Name: munipack
Short Description: MuniPack is a CCD photometry package
Owners: mmahut@redhat.com
Branches: devel
InitialCC: fedora-astronomy-list@redhat.com
Cvsextras Commits: yes
Comment 7 Toshio Ernie Kuratomi 2007-12-03 21:20:32 EST
Hi Marek, I'll have to set up the fedora-astronomy-list in the account system in
order to do this.  Is the list associated with a SIG?  Is it already setup as a
bugzilla alias?
Comment 8 Marek Mahut 2007-12-04 01:18:25 EST
Hello Toshio,

Yes, http://fedoraproject.org/wiki/SIGs/Astronomy
Comment 9 Toshio Ernie Kuratomi 2007-12-04 01:56:03 EST
Thanks Marek!  Created the astronomy-sig user to send email to
fedora-astronomy-list.

cvs done.
Comment 10 Marek Mahut 2007-12-05 05:02:25 EST
Thank you very much all!

Note You need to log in before you can comment on or make changes to this bug.